Rygel.V1Hacks – librygel-core Reference Manual

# V1Hacks

## Object Hierarchy:

## Description:

public class V1Hacks : `Object`

Various devices that need a downgrade to MediaServer:1 and ContentDirectory:1 because they ignore that higher versions are required to be backwards-compatible.

Namespace: Rygel
Package: librygel-core

## Content:

### Properties:

- public `string` device_type { construct set; get; }
- public `string`[] service_types { construct; get; }

### Creation methods:

- public V1Hacks (`string` device_type, `string`[] service_types)

### Methods:

- public override void constructed ()
- public void apply_on_device (RootDevice device, `string`? template_path) throws `Error`

### Fields:

- public `string` description_path

### Inherited Members:

All known members inherited from class GLib.Object

- @new
- newv
- new_valist
- get_type
- get_class
- @ref
- unref
- ref_sink
- weak_ref
- weak_unref
- add_weak_pointer
- remove_weak_pointer

- @get
- @set
- get_property
- set_property
- get_data
- set_data
- set_data_full
- steal_data
- get_qdata
- set_qdata
- set_qdata_full
- steal_qdata

- freeze_notify
- thaw_notify
- dispose
- constructed
- notify_property
- connect
- disconnect
- add_toggle_ref
- remove_toggle_ref
- bind_property
- notify
- ref_count